Subject: Re: [PATCH 2] autoconf: Use ./configure script in git *.spec file

From: Jakub Narebski <[email-masked]>
Date: Mon, 03 Jul 2006 02:29:34 +0200

Junio C Hamano wrote:

> I thought this stuff was "opt-in", but make rpm now requires
> autoconf?

Ooops. No, git RPM wouldn't need autoconf, neither building git from *.spec
file or SRPM. But rpm targed will need autoconf run, and configure script
packed in tar file (and I think that having configure script in distribution
tar files will be good idea... but perhaps optionally under NO_AUTOCONF
or USE_AUTOCONF).

And I of course forgot about that. So that is only half of a patch...

Besides that patch was meant as example of using autoconf. 
Automatic tool (rpmbuild) using automatic tool (./configure script).

P.S. we could distribute ./configure script like we distribute preformatted
documentation, in separate 'configure' branch.
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git